## Name

gfedquota — edit the limits

## Synopsis

`gfedquota` [`options`]

## DESCRIPTION

gfedquota is a editor of limits (quotas) for users and groups.

There are two kinds of limits which are "soft limit" and "hard limit". Soft limits have a grace period. Types of limits are the total number of files, the total space of files, the total number of files include replicas and the total space of files include replicas. Setting 'disable' or -1 indicates unlimited. If no option for limits is specified, no quota is imposed.

This command can be executed by an administrator in the gfarmadm group.

The count of usage and the check of quota are enabled after executiing gfedquota and gfquotacheck command.

## OPTIONS

`-P NAME, --path=NAME`

  Specifies a path name to specify a metadata server instead of the root metadata server.

`-u NAME, --user=NAME`

  Specifies a user name to display the current usage and limits.

`-g NAME, --group=NAME`

  Specifies a group name to display the current usage and limits.

`-G SECOND, --grace=SECOND`

  Specifies a grace period in second for soft limits.

`-s BYTE, --softspc=BYTE`

  Specifies a soft limit of file space in byte.

`-h BYTE, --hardspc=BYTE`

  Specifies a hard limit of file space in byte.

`-m NUM, --softnum=NUM`

  Specifies a soft limit of file number.

`-n NUM, --hardnum=NUM`

  Specifies a hard limit of file number.

`-S BYTE, --physoftspc=BYTE`

  Specifies a soft limit of physical space in byte include replicas.

`-H BYTE, --phyhardspc=BYTE`

  Specifies a hard limit of physical space in byte include replicas.

`-M NUM, --physoftnum=NUM`

  Specifies a soft limit of physical number include replicas.

`-N NUM, --phyhardnum=NUM`

  Specifies a hard limit of physical number include replicas.

`-?`

  Displays a list of command options.

## SEE ALSO

gfquota(1), gfquotacheck(1), gfusage(1)